<?php

       echo "<div class='aut'>Продать постройку</div>";
       $id=intval($_GET['id']);
  if(mysql_result(mysql_query("SELECT COUNT(*) FROM `empire_stroi` WHERE `id`='$id' AND `id_u`='$user[id]'"),0)!='0'){
  $pp=mysql_fetch_array(mysql_query("SELECT * FROM `empire_stroi` WHERE `id`='$id'"));
  $derevo=$pp['derevo'];
  $gelezo=$pp['gelezo'];
  $zoloto=$pp['zoloto']+1;
  if(!isset($_GET['ok'])){
    echo "Вы действительно желаете продать ".$pp['name']." за $derevo дерева, $gelezo железа, $zoloto золота?<br/>";
 echo "<a href='?do=20&amp;id=$id&amp;ok'>Да!</a>|<a href='?do=0'>нет!</a><br/>";
  }
  else
  {
    mysql_query("UPDATE `empire` SET `zoloto`=`zoloto`+$zoloto , `derevo`=`derevo`+$derevo , `gelezo`=`gelezo`+$gelezo WHERE `id_u`='$user[id]' LIMIT 1");
    mysql_query("DELETE FROM `empire_stroi` WHERE `id`='$id' LIMIT 1");
    msg('Успешно проданно');
    echo "<a href='?do=0'>Назад</a><br/>";
  }
}
else
{
  echo "У вас нет такой постройки<br/>";
}
?>